using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IReportProviderLogic
    {
        List<ReportStudentsDisciplineViewModel> GetStudentsDiscipline(List<StudentViewModel> students, ReportBindingModel model);

        List<ReportStreamStudentEdStatPeriodViewModel> StreamStudentEdStatPeriod(ReportBindingModel model);

        void SaveBlanksToWordFile(ReportBindingModel model);

        void SaveDocumentBlankToExcelFile(ReportBindingModel model);

        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
